Serv-U File Server 15.1.x system requirements

Updated May 30, 2019

Hardware Requirements

The hardware requirements are modest, but Serv-U File Server can take advantage of multi-core processors and multiple processor architectures.

Hardware Minimum Requirement
CPU 1

1 GHz+

RAM 256 MB+
Network 10/100 Mbps NIC
Hard drive space 30 MB
Video

128 MB Video RAM

The following table lists the requirements in the case of modest traffic: up to 500 configured users and 25 simultaneous transfers.

Hardware Minimum Requirement for Modest Traffic
CPU

2 GHz+ multi-core

RAM 2 GB+
Network

10/100/1000 Mbps NIC

Hard drive space 120 GB
Video

128 MB Video RAM

The following table lists the requirements in the case of high traffic: up to 10,000 configured users and 250 simultaneous transfers.

Hardware Minimum Requirement for HighTraffic
CPU

Multiple 3.2 GHz+ multi-core

RAM 4 GB+
Network 10/100/1000 Mbps NIC
Hard drive space 120 GB
Video

128 MB Video RAM

Operating System and Software Requirements

Operating System or Software Requirement
Microsoft Windows
  • 2016 (15.1.7)
  • 2012, 2012 R2
  • 2008 R2, 2008 RS SP1
Linux
  • Red Hat Enterprise Linux (RHEL) v.7.2 (Recommended)
  • Fedora 24
  • Ubuntu 16.04
  • CentOS 7.2
  • OpenSUSE 42.1
Database server (optional)
  • MS SQL 2014, 2014 SP1, 2014 SP2
  • MS SQL 2012, 2012 SP1, 2012 SP2, 2012 SP3
  • MS SQL 2008 R2, 2008 R2 SP1, 2008 R2 SP2, 2008 R2 SP3
  • MySQL 5.7
  • PostgreSQL: 9.5
LDAP server (optional)
  • Active Directory - same as Windows Server support
  • Open Directory 4
  • OpenLDAP 2.4

Client Requirements

The default web browser on many mobile devices can be used to transfer files, work with files and folders, or run the web-based Management Console of Serv-U File Server.

Device Supported Functionality
Apple iPhone 5+

Download, manage, and preview files.

Apple iPad 2

Download, manage, preview files, and run the Management Console.

Google Android 4.0 (Ice Cream Sandwich)

Upload, download, manage, and preview files.

The following major browsers are supported with the basic web client, for file management and for web administration purposes:

  • Microsoft Internet Explorer 11
  • Mozilla Firefox: latest version
  • Safari 6+
  • Google Chrome: latest version

Java Runtime Environment (JRE) 7 and 8 are supported for Web Client Pro and FTP Voyager JV.

  • To be able to use Web Client Pro and FTP Voyager JV, Java must be installed and enabled in the browser.
  • Web Client Pro does not work on Linux in Google Chrome version later than 35 due to an incompatibility between Chrome and the Java browser plug-in.
  • Apple users must have at least Mac OS X 10.6 installed.